Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class DHParameters

    java.lang.Object
      |
      +--org.bouncycastle.crypto.params.DHParameters

All Implemented Interfaces:
  CipherParameters

public class DHParameters
extends java.lang.Object
implements CipherParameters

Constructor Summary
`DHParameters(java.math.BigInteger p, java.math.BigInteger g)`
`DHParameters(java.math.BigInteger p, java.math.BigInteger g, java.math.BigInteger q, int j)`
`DHParameters(java.math.BigInteger p, java.math.BigInteger g, java.math.BigInteger q, int j, DHValidationParameters validation)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.math.BigInteger` | `getG()`
`int` | `getJ()`
`java.math.BigInteger` | `getP()`
`java.math.BigInteger` | `getQ()`
`DHValidationParameters` | `getValidationParameters()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHParameters

    public DHParameters(java.math.BigInteger p,
                        java.math.BigInteger g)

### DHParameters

    public DHParameters(java.math.BigInteger p,
                        java.math.BigInteger g,
                        java.math.BigInteger q,
                        int j)

### DHParameters

    public DHParameters(java.math.BigInteger p,
                        java.math.BigInteger g,
                        java.math.BigInteger q,
                        int j,
                        DHValidationParameters validation)

Method Detail

### getP

    public java.math.BigInteger getP()

### getG

    public java.math.BigInteger getG()

### getQ

    public java.math.BigInteger getQ()

### getJ

    public int getJ()

### getValidationParameters

    public DHValidationParameters getValidationParameters()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD